package main

import (
	"fmt"
	"os"

	"go.fifitido.net/cmd"
)

var root = cmd.NewRoot(
	cmd.WithShortDescription("Example command"),
	cmd.WithLongDescription(`An example command to show how to use go.fifitido.net/cmd

this example is just a simple hello world program to show
the basics of the library.`),
	cmd.WithArgument("name", false),
	cmd.WithRunFunc(func(args []string) {
		if len(args) == 0 {
			fmt.Println("Hello World!")
		} else {
			fmt.Printf("Hello %s!\n", args[0])
		}
	}),
)

func main() {
	root.Execute(os.Args)
}
